
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

public class ConfigAPIImpl implements ConfigAPI
{

  public ConfigAPIImpl()
  {
    defaultFileName = new String("METADATA.DAT");
  }

  public void setDefaultMetadataFileName(String fileName)
  {
    defaultFileName = new String(fileName);
  }

  public String getDefaultMetadataFileName()
  {
    return(defaultFileName);
  }

  private String defaultFileName;
}