
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

import java.util.Hashtable;

public class MetadataRec
{

  public MetadataRec()
  {
    controlRec = new Hashtable();
    layoutRec = new Hashtable();
  }
  public MetadataControl getControlRecord(String tag)
  {
    return((MetadataControl)controlRec.get(tag));
  }
  public void addControlRecord (MetadataControl cRec)
  {
    controlRec.put(cRec.getName(), cRec);
  }
  public void addLayoutRecord (MetadataLayout lRec)
  {
    layoutRec.put(lRec.getName(),lRec);
  }
  public MetadataLayout getLayoutRecord(String tag)
  {
    return((MetadataLayout)layoutRec.get(tag));
  }
  private Hashtable controlRec;
  private Hashtable layoutRec;
}