
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

import java.io.FileInputStream;
import java.io.IOException;
public class AdminAPIImpl implements AdminAPI
{

  public AdminAPIImpl()
  {
  }
  public int getNoOfRecordsProcessed() throws Exception
  {
    FileInputStream fis;
    byte[] rec;
    int n, r;

    fis = new FileInputStream("PSTATS.DAT");
    try
    {
      n = fis.available();
      if (n <= 0)
      {
        Exception e = new Exception("Empty PSTATS.DAT file");
        throw e;
      }
      if (n > 0)
      {
        rec = new byte[n];
        r = fis.read(rec);
        if (r > 0)
        {
          String s = new String(rec);
          String s1 = s.substring(0,s.indexOf(10));
          Integer n1 = new Integer(s1);
          return(n1.intValue());
        }
      } // End of n > 0
    } catch (IOException e) { throw e; }
    fis.close();
    return(0);
  }

  public int getNoOfBadRecords()
  {
    return(0);
  }
}